Bug 1674655 - aqsis: FTBFS in Fedora rawhide/f30
Summary: aqsis: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: aqsis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:49 UTC by Fedora Release Engineering
Modified: 2019-04-13 00:04 UTC (History)
4 users (show)

Fixed In Version: aqsis-1.8.2-33.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:04:18 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:49 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:49 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 16:49 UTC, Fedora Release Engineering
no flags Details
Proposed patch (2.09 KB, patch)
2019-04-05 07:40 UTC, Ralf Corsepius
no flags Details | Diff

Description Fedora Release Engineering 2019-02-11 16:49:54 UTC
aqsis failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32365713


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix aqsis at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
aqsis will be orphaned. Before branching of Fedora 31,
aqsis will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:49:56 UTC
Created attachment 1529279 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:49:58 UTC
Created attachment 1529280 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:49:59 UTC
Created attachment 1529281 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 21:30:00 UTC
BUILDSTDERR: /usr/bin/ld: CMakeFiles/eqsl.dir/eqsl.cpp.o: undefined reference to symbol 'pthread_condattr_setclock@@GLIBC_2.3.3'
BUILDSTDERR: /usr/bin/ld: //usr/lib64/libpthread.so.0: error adding symbols: DSO missing from command line
BUILDSTDERR: collect2: error: ld returned 1 exit status

Comment 5 J. Scheurich 2019-03-09 22:09:05 UTC
It looks like "aqsis-core" is not installable in fedora 30 (x86_64)

# dnf install aqsis-core
Last metadata expiration check: 0:03:47 ago on Sat 09 Mar 2019 04:19:02
PM CET.
Error:
  Problem: conflicting requests
   - nothing provides libboost_system.so.1.66.0()(64bit) needed by
aqsis-core-1.8.2-31.fc29.x86_64
   - nothing provides libboost_thread.so.1.66.0()(64bit) needed by
aqsis-core-1.8.2-31.fc29.x86_64
   - nothing provides libboost_filesystem.so.1.66.0()(64bit) needed by
aqsis-core-1.8.2-31.fc29.x86_64
   - nothing provides libboost_regex.so.1.66.0()(64bit) needed by
aqsis-core-1.8.2-31.fc29.x86_64
   - nothing provides libboost_iostreams.so.1.66.0()(64bit) needed by
aqsis-core-1.8.2-31.fc29.x86_64
   - nothing provides libboost_wave.so.1.66.0()(64bit) needed by
aqsis-core-1.8.2-31.fc29.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

I need aqsis-core (a renderer for .RIB files) as requirement for white_dune.

Comment 6 Ralf Corsepius 2019-03-31 08:36:03 UTC
A brute force work-around to the FTBFS would be to append "-pthread" to CXXFLAGS, e.g. to apply the change below to the *.spec:

--- aqsis.spec~ 2019-03-31 07:33:12.000000000 +0200
+++ aqsis.spec  2019-03-31 07:52:26.905247350 +0200
@@ -128,7 +128,7 @@
   -DAQSIS_BOOST_REGEX_LIBRARY_NAME=boost_regex-mt \
   -DAQSIS_BOOST_THREAD_LIBRARY_NAME=boost_thread-mt \
   -DAQSIS_BOOST_WAVE_LIBRARY_NAME=boost_wave-mt \
-  -DCMAKE_CXX_FLAGS="$CXXFLAGS -DBOOST_FILESYSTEM_VERSION=3" \
+  -DCMAKE_CXX_FLAGS="$CXXFLAGS -DBOOST_FILESYSTEM_VERSION=3 -pthread" \
   -DAQSIS_USE_EXTERNAL_TINYXML:BOOL=OFF ..
 
 make VERBOSE=1 %{?_smp_mflags}

Comment 7 Ralf Corsepius 2019-04-05 07:40:46 UTC
Created attachment 1552303 [details]
Proposed patch

Unless somebody objects, I intent to apply this patch to f30 and rawhide later today or tomorrow.

Comment 8 Nicolas Chauvet (kwizart) 2019-04-05 09:14:22 UTC
Thx for looking into this.

A a side note, bundling with sytem tinyxml was not that trivial, given aqsis actually bundled a 2.5.x modified copy to fixes known issues (that can be experienced at runtime).

Do you have a working scratch build ?
If it's the case, please go ahead and apply the fix (I would prefer without the tinxyxml unbundling).

Comment 9 Ralf Corsepius 2019-04-05 13:11:24 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #8)
> Thx for looking into this.
> 
> A a side note, bundling with sytem tinyxml was not that trivial, given aqsis
> actually bundled a 2.5.x modified copy to fixes known issues (that can be
> experienced at runtime).
> 
> Do you have a working scratch build ?
Yes, cf. https://koji.fedoraproject.org/koji/taskinfo?taskID=33964140

> If it's the case, please go ahead and apply the fix (I would prefer without
> the tinxyxml unbundling).
I can revert this part, if you prefer.

Comment 10 Nicolas Chauvet (kwizart) 2019-04-05 13:33:17 UTC
(In reply to Ralf Corsepius from comment #9)
...
> > the tinxyxml unbundling).
> I can revert this part, if you prefer.
Yes, please discard the tinyxml unbundling.

Comment 11 Ralf Corsepius 2019-04-05 15:45:41 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #10)
> (In reply to Ralf Corsepius from comment #9)
> ...
> > > the tinxyxml unbundling).
> > I can revert this part, if you prefer.
> Yes, please discard the tinyxml unbundling.
Can you explain why? I haven't checked details, but to me, bundling a version which is dead and unmaintained for at least 7 years doesn't appear to be necessarily wise.

Comment 12 Nicolas Chauvet (kwizart) 2019-04-05 16:13:04 UTC
Well, I've already explained, the tinyxml bundled is modifed and using a system version will break at runtime.
The only way forward is to migrate to tinyxml2.

Comment 13 Ralf Corsepius 2019-04-07 16:45:32 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #12)
> Well, I've already explained, the tinyxml bundled is modifed
It is not. The code is identical to tinyxml-2.5.2.

Comment 14 Fedora Update System 2019-04-07 17:01:21 UTC
aqsis-1.8.2-33.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-09137db22f

Comment 15 Nicolas Chauvet (kwizart) 2019-04-07 17:03:17 UTC
Indeed. My bad.
Let's move to system tinyxml since there is no reason left to bundle.

Comment 16 Fedora Update System 2019-04-08 02:36:49 UTC
aqsis-1.8.2-33.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-09137db22f

Comment 17 Fedora Update System 2019-04-13 00:04:18 UTC
aqsis-1.8.2-33.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.